%define lib_major 0
%define libname %mklibname gcr %{lib_major}
%define libnamedev %mklibname -d gcr
%define oldlibname %mklibname %name 0
%define olddevname %mklibname -d %name

Summary: Keyring and password manager for the GNOME desktop
Name: gnome-keyring
Version: 2.30.1
Release: %mkrel 3
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/gnome-keyring/%{name}-%{version}.tar.bz2
Patch0: gnome-keyring-2.27.92-fix-linking.patch
# Fedora patches that make the daemon exit on logout
# https://bugzilla.gnome.org/show_bug.cgi?id=598494
Patch2: gnome-keyring-2.29.4-die-on-session-exit.patch
Patch3: gnome-keyring-2.28.1-nopass.patch 
# (fc) 2.30.1-3mdv add missing service file (GNOME bug #611002) (GIT)
Patch4: gnome-keyring-2.30.1-missing-service.patch
URL: http://www.gnome.org/
License: GPLv2+ and LGPLv2+
Group: Networking/Remote access
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: gtk2-devel >= 2.4.0
BuildRequires: libGConf2-devel
BuildRequires: libgcrypt-devel
BuildRequires: libtasn1-devel
BuildRequires: eggdbus-devel
BuildRequires: pam-devel
BuildRequires: libtasn1-tools
BuildRequires: intltool
BuildRequires: gtk-doc
BuildRequires: libtool

%description
gnome-keyring is a program that keep password and other secrets for
users. It is run as a damon in the session, similar to ssh-agent, and
other applications can locate it by an environment variable.
 
The program can manage several keyrings, each with its own master
password, and there is also a session keyring which is never stored to
disk, but forgotten when the session ends.

%package -n %{libname}
Group: System/Libraries
Summary: Library for integration with the gnome keyring system
Requires: %{name} >= %{version}-%{release}
Conflicts: %oldlibname < 2.29.4

%description -n %{libname}
The library libgnome-keyring is used by applications to integrate with
the gnome keyring system. However, at this point the library hasn't been
tested and used enought to consider the API to be publically
exposed. Therefore use of libgnome-keyring is at the moment limited to
internal use in the gnome desktop. However, we hope that the
gnome-keyring API will turn out useful and good, so that later it
can be made public for any application to use.


%package -n %{libnamedev}
Group: Development/C
Summary: Library for integration with the gnome keyring system
Requires: %{libname} = %{version}
Provides: libgcr-devel = %{version}-%{release}
Conflicts: %olddevname < 2.29.4

%description -n %{libnamedev}
The library libgnome-keyring is used by applications to integrate with
the gnome keyring system. However, at this point the library hasn't been
tested and used enought to consider the API to be publically
exposed. Therefore use of libgnome-keyring is at the moment limited to
internal use in the gnome desktop. However, we hope that the
gnome-keyring API will turn out useful and good, so that later it
can be made public for any application to use.


%prep
%setup -q
%patch0 -p1 -b .fix-linking
%patch2 -p1 -b .die-on-session-exit 
%patch3 -p1 -b .no-pass
%patch4 -p1 -b .missing-service

#needed by patch0 & 4
autoreconf -fi

%build
%configure2_5x --with-pam-dir=/%_lib/security --disable-static \
  --disable-schemas-install --disable-acl-prompts
#gw for unstable cooker builds use:
#--enable-debug
#--enable-tests
#or even:
#--enable-valgrind
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot/%_lib/security/{*.la,*.a} %buildroot%_libdir/*.a
%find_lang %{name}



%clean
rm -rf $RPM_BUILD_ROOT

%post
%post_install_gconf_schemas %name
%preun
%preun_uninstall_gconf_schemas %name


%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc README NEWS
%_sysconfdir/xdg/autostart/gnome-keyring-pkcs11.desktop
%_sysconfdir/xdg/autostart/gnome-keyring-secrets.desktop
%_sysconfdir/xdg/autostart/gnome-keyring-ssh.desktop
%_sysconfdir/gconf/schemas/%name.schemas
%{_bindir}/gnome-keyring
%{_bindir}/gnome-keyring-daemon
%_libdir/gnome-keyring/
%_libexecdir/gnome-keyring-prompt
%dir %_datadir/%name
%dir %_datadir/%name/introspect
%_datadir/%name/introspect/*.xml
%dir %_datadir/%name/ui/
%_datadir/%name/ui/*.ui
/%_lib/security/pam_gnome_keyring*.so
%_datadir/dbus-1/services/org.gnome.keyring.service
%_datadir/dbus-1/services/org.freedesktop.secrets.service
%_datadir/gcr

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libgp11.so.%{lib_major}*
%{_libdir}/libgcr.so.%{lib_major}*

%files -n %{libnamedev}
%defattr(-,root,root)
%doc COPYING.LIB ChangeLog
%{_libdir}/libgp11.so
%{_libdir}/libgcr.so
%attr(644,root,root) %{_libdir}/*.la
%{_includedir}/gp11/
%{_includedir}/gcr
%{_libdir}/pkgconfig/gp11-0.pc
%{_libdir}/pkgconfig/gcr-0.pc
%_datadir/gtk-doc/html/*


%changelog
* Mon May 03 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.1-3mdv2010.1
+ Revision: 541735
- Patch4 (GIT): add missing service file (GNOME bug #611002)

* Wed Apr 28 2010 Christophe Fergeau <cfergeau@mandriva.com> 2.30.1-2mdv2010.1
+ Revision: 540342
- rebuild so that shared libraries are properly stripped again

* Mon Apr 26 2010 Götz Waschk <waschk@mandriva.org> 2.30.1-1mdv2010.1
+ Revision: 539333
- update to new version 2.30.1

* Tue Mar 30 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 529758
- update to new version 2.30.0

* Wed Mar 10 2010 Götz Waschk <waschk@mandriva.org> 2.29.92-1mdv2010.1
+ Revision: 517379
- update to new version 2.29.92

* Tue Feb 09 2010 Götz Waschk <waschk@mandriva.org> 2.29.90-1mdv2010.1
+ Revision: 502597
- update to new version 2.29.90

* Mon Jan 11 2010 Götz Waschk <waschk@mandriva.org> 2.29.5-1mdv2010.1
+ Revision: 489815
- update to new version 2.29.5

* Wed Dec 23 2009 Götz Waschk <waschk@mandriva.org> 2.29.4-2mdv2010.1
+ Revision: 481853
- add Fedora patches to make the keyring exit on session end

* Mon Dec 21 2009 Götz Waschk <waschk@mandriva.org> 2.29.4-1mdv2010.1
+ Revision: 480982
- new version
- update build deps
- update file list
- conflict with old library packages

* Mon Dec 14 2009 Götz Waschk <waschk@mandriva.org> 2.28.2-1mdv2010.1
+ Revision: 478590
- new version
- regenerate libtool

* Fri Nov 06 2009 Götz Waschk <waschk@mandriva.org> 2.28.1-1mdv2010.1
+ Revision: 460930
- new version
- drop patch

* Mon Oct 05 2009 Frederic Crozat <fcrozat@mandriva.com> 2.28.0-3mdv2010.0
+ Revision: 454049
- Patch1 (vuntz): fix 10s timeout at logout (GNOME bug #595698)

* Wed Sep 30 2009 Frederic Crozat <fcrozat@mandriva.com> 2.28.0-2mdv2010.0
+ Revision: 451795
- Disable ACL prompts, they are more confusing than anything

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 446733
- update to new version 2.28.0
- update build deps

* Mon Sep 14 2009 Götz Waschk <waschk@mandriva.org> 2.27.92-1mdv2010.0
+ Revision: 439071
- new version
- fix linking

* Mon Aug 10 2009 Götz Waschk <waschk@mandriva.org> 2.27.90-1mdv2010.0
+ Revision: 414391
- update to new version 2.27.90

* Mon Jul 27 2009 Götz Waschk <waschk@mandriva.org> 2.27.5-1mdv2010.0
+ Revision: 400788
- update to new version 2.27.5

* Mon Jul 13 2009 Götz Waschk <waschk@mandriva.org> 2.27.4-1mdv2010.0
+ Revision: 395678
- update to new version 2.27.4

* Mon Jun 29 2009 Götz Waschk <waschk@mandriva.org> 2.26.3-1mdv2010.0
+ Revision: 390726
- update to new version 2.26.3

* Tue Apr 14 2009 Götz Waschk <waschk@mandriva.org> 2.26.1-1mdv2009.1
+ Revision: 366983
- new version
- drop patch

* Thu Apr 02 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-2mdv2009.1
+ Revision: 363504
- fix hanging ssh-agent (upstream bug #575247)
- remove all build workarounds
- spec fixes

* Sat Mar 14 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 355139
- new version
- update build deps

* Mon Mar 02 2009 Götz Waschk <waschk@mandriva.org> 2.25.92-1mdv2009.1
+ Revision: 347290
- update to new version 2.25.92

* Sat Feb 14 2009 Götz Waschk <waschk@mandriva.org> 2.25.91-1mdv2009.1
+ Revision: 340324
- update to new version 2.25.91

* Mon Feb 02 2009 Götz Waschk <waschk@mandriva.org> 2.25.90-1mdv2009.1
+ Revision: 336659
- new version
- drop patch
- update file list

  + Funda Wang <fwang@mandriva.org>
    - drop static lib
    - use system libtool
    - Partial fix linkage

* Tue Jan 20 2009 Götz Waschk <waschk@mandriva.org> 2.25.5-1mdv2009.1
+ Revision: 331621
- new version
- disable --no-undefined
- update file list

* Fri Jan 09 2009 Götz Waschk <waschk@mandriva.org> 2.25.4.2-1mdv2009.1
+ Revision: 327381
- update to new version 2.25.4.2

* Tue Jan 06 2009 Götz Waschk <waschk@mandriva.org> 2.25.4.1-1mdv2009.1
+ Revision: 325242
- update to new version 2.25.4.1

* Mon Jan 05 2009 Götz Waschk <waschk@mandriva.org> 2.25.4-1mdv2009.1
+ Revision: 324946
- update to new version 2.25.4

* Thu Dec 18 2008 Götz Waschk <waschk@mandriva.org> 2.25.2-1mdv2009.1
+ Revision: 315883
- new version
- update file list

* Tue Nov 04 2008 Götz Waschk <waschk@mandriva.org> 2.25.1-1mdv2009.1
+ Revision: 299938
- update to new version 2.25.1

* Sun Oct 19 2008 Götz Waschk <waschk@mandriva.org> 2.24.1-1mdv2009.1
+ Revision: 295218
- update to new version 2.24.1

* Sun Sep 21 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 286289
- fix build deps
- new version

* Mon Sep 08 2008 Götz Waschk <waschk@mandriva.org> 2.23.92-1mdv2009.0
+ Revision: 282460
- new version

* Wed Sep 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.91-1mdv2009.0
+ Revision: 279783
- new version
- drop patch

* Tue Aug 19 2008 Götz Waschk <waschk@mandriva.org> 2.23.90-1mdv2009.0
+ Revision: 273785
- fix build deps
- new version
- fix build
- update file list

* Mon Aug 04 2008 Götz Waschk <waschk@mandriva.org> 2.23.6-1mdv2009.0
+ Revision: 262939
- new version

* Tue Jul 22 2008 Götz Waschk <waschk@mandriva.org> 2.23.5-1mdv2009.0
+ Revision: 240069
- new version
- update file list

* Mon Jun 30 2008 Götz Waschk <waschk@mandriva.org> 2.22.3-1mdv2009.0
+ Revision: 230367
- new version
- update license

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue May 27 2008 Götz Waschk <waschk@mandriva.org> 2.22.2-1mdv2009.0
+ Revision: 211558
- new version

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 2.22.1-1mdv2009.0
+ Revision: 192453
- new version
- drop patch

* Wed Apr 02 2008 Frederic Crozat <fcrozat@mandriva.com> 2.22.0-2mdv2008.1
+ Revision: 191700
- Patch0 (SVN): fix daemon startup through dbus (GNOME bug #522253)

* Sun Mar 09 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 183037
- new version

* Mon Feb 25 2008 Götz Waschk <waschk@mandriva.org> 2.21.92-1mdv2008.1
+ Revision: 174579
- new version

* Tue Feb 12 2008 Götz Waschk <waschk@mandriva.org> 2.21.91-1mdv2008.1
+ Revision: 165742
- new version

* Mon Jan 28 2008 Götz Waschk <waschk@mandriva.org> 2.21.90-1mdv2008.1
+ Revision: 159441
- new version

* Fri Jan 18 2008 Frederic Crozat <fcrozat@mandriva.com> 2.21.5-2mdv2008.1
+ Revision: 154728
- Fix the way pam module is installed and don't install .la file for it

* Mon Jan 14 2008 Götz Waschk <waschk@mandriva.org> 2.21.5-1mdv2008.1
+ Revision: 151325
- new version
- add gconf schema

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Götz Waschk <waschk@mandriva.org> 2.21.4-1mdv2008.1
+ Revision: 130172
- new version
- update file list

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 05 2007 Götz Waschk <waschk@mandriva.org> 2.21.3.2-1mdv2008.1
+ Revision: 115659
- new version

* Wed Dec 05 2007 Götz Waschk <waschk@mandriva.org> 2.21.3.1-1mdv2008.1
+ Revision: 115621
- new version
- update file list

* Mon Dec 03 2007 Götz Waschk <waschk@mandriva.org> 2.21.3-1mdv2008.1
+ Revision: 114601
- new version
- drop patch
- update buildrequires
- update file list

* Mon Dec 03 2007 Götz Waschk <waschk@mandriva.org> 2.20.2-2mdv2008.1
+ Revision: 114531
- fix environment in the pam module

* Sun Nov 25 2007 Götz Waschk <waschk@mandriva.org> 2.20.2-1mdv2008.1
+ Revision: 111863
- new version

* Mon Oct 15 2007 Götz Waschk <waschk@mandriva.org> 2.20.1-1mdv2008.1
+ Revision: 98576
- new version
- update file list

* Wed Sep 19 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 90415
- new version
- new version

* Sun Aug 26 2007 Götz Waschk <waschk@mandriva.org> 2.19.91-1mdv2008.0
+ Revision: 71579
- new version

* Tue Aug 14 2007 Götz Waschk <waschk@mandriva.org> 2.19.90-1mdv2008.0
+ Revision: 62967
- new version
- new devel name

* Mon Jul 30 2007 Götz Waschk <waschk@mandriva.org> 2.19.6.1-2mdv2008.0
+ Revision: 56619
- fix buildrequires

* Mon Jul 30 2007 Götz Waschk <waschk@mandriva.org> 2.19.6.1-1mdv2008.0
+ Revision: 56586
- new version
- fix installation
- new version
- add pam module

* Sat Jul 07 2007 Götz Waschk <waschk@mandriva.org> 2.19.5-1mdv2008.0
+ Revision: 49369
- new version

* Mon Jun 18 2007 Götz Waschk <waschk@mandriva.org> 2.19.4.1-1mdv2008.0
+ Revision: 40993
- new version

* Sun Jun 17 2007 Götz Waschk <waschk@mandriva.org> 2.19.4-1mdv2008.0
+ Revision: 40610
- new version
- update file list

* Wed Jun 06 2007 Götz Waschk <waschk@mandriva.org> 2.19.2-2mdv2008.0
+ Revision: 36055
- fix buildrequires
- new version

* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 0.8.1-1mdv2008.0
+ Revision: 13824
- new version


* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 0.8-1mdv2007.1
+ Revision: 142014
- new version

* Fri Feb 23 2007 Götz Waschk <waschk@mandriva.org> 0.7.92-1mdv2007.1
+ Revision: 125183
- new version

* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 0.7.91-1mdv2007.1
+ Revision: 120040
- new version

* Fri Jan 05 2007 Götz Waschk <waschk@mandriva.org> 0.7.3-2mdv2007.1
+ Revision: 104390
- bot rebuild
- new version

* Mon Dec 18 2006 Götz Waschk <waschk@mandriva.org> 0.7.2-1mdv2007.1
+ Revision: 98508
- new version

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 0.7.1-2mdv2007.1
+ Revision: 87929
- spec fix
- new version

* Mon Nov 27 2006 Götz Waschk <waschk@mandriva.org> 0.6.0-1mdv2007.1
+ Revision: 87705
- Import gnome-keyring

* Tue Sep 05 2006 Götz Waschk <waschk@mandriva.org> 0.6.0-1mdv2007.0
- New release 0.6.0

* Tue Aug 22 2006 Frederic Crozat <fcrozat@mandriva.com> 0.5.2-1mdv2007.0
- Release 0.5.2

* Thu Jun 15 2006 Gtz Waschk <waschk@mandriva.org> 0.5.1-2mdv2007.0
- fix buildrequires

* Tue Jun 13 2006 Gtz Waschk <waschk@mandriva.org> 0.5.1-1mdv2007.0
- update file list
- New release 0.5.1

* Mon Mar 13 2006 Götz Waschk <waschk@mandriva.org> 0.4.9-1mdk
- New release 0.4.9

* Tue Feb 28 2006 Götz Waschk <waschk@mandriva.org> 0.4.8-1mdk
- New release 0.4.8

* Mon Feb 13 2006 Götz Waschk <waschk@mandriva.org> 0.4.7-1mdk
- New release 0.4.7
- use mkrel

* Wed Nov 16 2005 Götz Waschk <waschk@mandriva.org> 0.4.6-1mdk
- New release 0.4.6

* Wed Oct 12 2005 Götz Waschk <waschk@mandriva.org> 0.4.5-1mdk
- New release 0.4.5

* Fri Sep 02 2005 Götz Waschk <waschk@mandriva.org> 0.4.3-2mdk
- rebuild to remove glitz dep

* Thu Aug 25 2005 Götz Waschk <waschk@mandriva.org> 0.4.3-1mdk
- New release 0.4.3

* Mon Mar 07 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.4.2-1mdk
- reenable libtoolize
- New release 0.4.2

* Tue Jan 11 2005 Goetz Waschk <waschk@linux-mandrake.com> 0.4.1-1mdk
- New release 0.4.1

* Tue Oct 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.0-1mdk
- New release 0.4.0

* Tue Apr 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.1-1mdk
- new version

* Tue Apr 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.0-1mdk
- initial package (from Gtz Waschk)

